Kurviger.de | Application | Blog | Frequently Asked Questions (FAQ) | Legal Notice | Privacy Policy

Android ≤ 4.4: Online search does not work

Geocoding (Adresssuche) does not work on my smartphone. The app is not seaching for an adress. When I push the loupe button, the box is telling me “Searching GraphHopper…” although I installed BRouter and adjusted the offline support accordingly. Also the BRouter maps are downloaded. I believe, that I missed to install or link something. Does anybody know, what I missed?

Search is not related to offline maps or offline routing (e.g. BRouter).

Currently search is done online. Offline search will come in the future:

Thank you for the information. But this issue also exists, when I use online maps, e.g. Mapilion maps, and am connected to WLAN. I do not understand, why it is asking for GraphHopper in the online mode.

Like explained above, the search is unrelated to what map or routing service have loaded.

Currently is done online via GraphHopper server (if name is confusing we can remove it).

So to test it, when you are connected to the internet, what do you search and don’t find it?

I would like to find a route from my home to the city Aachen. As I understood, if I put the first letters in like Aach… the app should make some proposals like Aachen. This is not happening. Even if I put the whole name into the box, nothing is happening.

With enabled internet, it returns various results (sorted depending map position):

Exactly this is, what I would expect. But it is not working… See screenshot please.

Maybe interesting topic… Your input “aachen” is underlined… At my phone it is not.

What Android version does your device have?

Those are just different Android appearances.

My phone is a Samsung Galaxy S4Mini.

With what Android?

(copy “Settings | About | Info” screen)

It is Android 4.4.4.

No supported by GraphHopper anymore?

It seems that some recent protocol change in GraphHopper search server, made it not working on such old Android versions.

We need to search what can be done…

Thank very much for supporting my issue. Hopefully you can find a way to make it work.

Support for some TLS versions on older Android is complicated. TLSv1 was always supported, while TLSv1.1 and TLSv1.2 from Android 4.1. But despite being supported, TLSv1.1 and TLSv1.2 are not enabled by default until Android 5!

(details in SSLSocket documentation)

Even if we enable manually those TLS versions on older Android (and we already do it), there is no guarantee that it will work with all websites which update their protocols (like GraphHopper), depending also on OEM modifications.

Fortunately Kurviger server still works. :slightly_smiling_face:

In any case Android 4.x is very old. It’s a miracle we still support it, as we will not be able to avoid increasing min requirement to at least Android 5.

2 Likes

Hello,

since short time I use Kurviger Pro, also on this phone with the same problem.
Is it solved, and when, what can I do to use the search function?
Oterhwise, is it possible to use Brouter for searching, cause this still works with Android 4.4.

Unfortunately online search cannot work anymore on very old Android 4.x versions,
because GraphHopper server changed its protocols (incompatible with old Android).

BRouter can be used only for offline routing.

1 Like